Package writer2latex.office

# Class LoftReader

java.lang.Object
writer2latex.office.LoftReader

public class LoftReader extends Object

The class reads a `text:illustration-index` or `text:table-index` element.

## Constructor Summary

Constructors
Constructor
Description
`LoftReader(Element onode)`
Initialize the LoftReader with a illustration/table index node

## Method Summary

Modifier and Type
Method
Description
`String`
`getCaptionSequenceName()`
Get the sequence name to use for the caption
`Element`
`getIndexBody()`
Return the generated content of this loft, if available
`Element`
`getIndexTitleTemplate()`
Get the index title template for this loft
`Element`
`getLoftEntryTemplate(int nLevel)`
Get the entry template for this loft at a specific level
`String`
`getName()`
Get the (section) name for this loft
`String`
`getStyleName()`
Get the (section) style name for this loft
`boolean`
`isByChapter()`
Is this loft by chapter?
`boolean`
`isTableIndex()`
Is this a table index or a figure index?
`boolean`
`useCaption()`
Is this loft generated by captions?

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LoftReader

public LoftReader(Element onode)

Initialize the LoftReader with a illustration/table index node

Parameters:
  `onode` - a `text:*-index`

## Method Details

### getName

public String getName()

Get the (section) name for this loft

Returns:
  the name of the loft

### getStyleName

public String getStyleName()

Get the (section) style name for this loft

Returns:
  name of the section style to use for this loft

### isTableIndex

public boolean isTableIndex()

Is this a table index or a figure index?

Returns:
  true if it's a table index

### isByChapter

public boolean isByChapter()

Is this loft by chapter?

Returns:
  true if the scope is a chapter only

### useCaption

public boolean useCaption()

Is this loft generated by captions? (otherwise: by object names)

Returns:
  true if we use captions

### getCaptionSequenceName

public String getCaptionSequenceName()

Get the sequence name to use for the caption

Returns:
  the name of the caption

### getIndexTitleTemplate

public Element getIndexTitleTemplate()

Get the index title template for this loft

Returns:
  the `text:index-title-template` element, or null

### getLoftEntryTemplate

public Element getLoftEntryTemplate(int nLevel)

Get the entry template for this loft at a specific level

Parameters:
  `nLevel` - the outline level
Returns:
  the `text:table-of-content-entry-template` element, or null

### getIndexBody

public Element getIndexBody()

Return the generated content of this loft, if available

Returns:
  the `text:index-body` element